*
{
    margin: 0;
    padding: 0;
    border: 0;
    outline: 0;
    text-decoration: none;
    list-style: none;
    box-sizing: border-box;
}

:root
{
    --color-primary: #6c63ff;
    --color-success: #00bf8e;
    --color-warning: #f7c94b;
    --color-danger: #f75842;
    --color-danger-varient: rgba(247,88,66,0.4);
    --color-white: #fff;
    --color-light: rgba(255,255,255,0.7);
    --color-black: #000;
    --color-bg: #1f2641;
    --color-bg1: #2e3267;
    --color-bg2: #424890;

    --container-width-lg: 86%;
    --container-width-md: 90%;
    --container-width-sm: 94%;

    --transition: all 400ms ease;
    
}

body
{
    /* font-family: 'Lato', sans-serif; */
    font-family: 'Montserrat', sans-serif;
    /* font-family: 'Open Sans', sans-serif; */
    line-height: 1.7;
    color: var(--color-white);
    background: var(--color-bg);
}
.container
{
    width: var(--container-width-lg);
    margin: 0 auto;
}
section
{
    padding: 6rem 0;
}
section h2
{
    text-align: center;
    margin-bottom: 4rem;
}
h1, h2, h3, h4, h5
{
    line-height: 1.2;
}
h1
{
    font-size: 2.4rem;
}
h2
{
    font-size: 2rem;
}
h3
{
    font-size: 1.6rem;
}
h4
{
    font-size: 1.3rem;
}
a
{
    color: var(--color-white);
}
img
{
    width: 100%;
    display: block;
    object-fit: cover;
}
.btn
{
    display: inline-block;
    background: var(--color-white);
    color: var(--color-black);
    padding: 1rem 2rem;
    border: 1px solid transparent;
    font-weight: 500;
    transition: var(--transition)
}
.btn:hover
{
    background: transparent;
    color: var(--color-white);
    border-color: var(--color-white);
}
.btn-primary
{
    background: var(--color-danger);
    color: var(--color-white);
}

/* -----------------Navbar-------------------- */
nav
{
    background: transparent;
    width: 100vw;
    height: 5rem;
    position: fixed;
    top: 0;
    z-index: 11;
}
/* change navbar styles on scroll using javascript */
.window-scroll
{
    background: var(--color-primary);
    box-shadow: 0 1rem 2rem rgba(0, 0, 0, 0.2);
}
.nav_container
{
    height: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
}
/* .nav_container li
{
    margin-right: 20px;
} */
nav button
{
    display: none;
}
.nav_menu
{
    display: flex;
    align-items: center;
    gap: 4rem;
}
.nav_menu a
{
    font-size: 0.9rem;
    transition: var(--transition);
}
.nav_menu a:hover
{
    color: var(--color-bg2);
}

/* -----------------Header-------------------- */
header
{
    position: relative;
    top: 5rem;
    overflow: hidden;
    height: 70vh;
    margin-bottom: 5rem;
}
.header_container
{
    display: grid;
    grid-template-columns: 1fr 1fr;
    align-items: center;
    gap: 5rem;
    height: 100%;
}
.header_left p
{
    margin: 1rem 0 2.4rem;
}

/* ---------------Categories--------------------- */

.categories
{
    background: var(--color-bg1);
    height: 29rem;
}
.categories h1
{
    line-height: 1;
    margin-bottom: 3rem;
}
.categories_container
{
    display: grid;
    grid-template-columns: 40% 60%;
}
.categories_left
{
    margin-right: 4rem;
}
.categories_left p
{
    margin: 1rem 0 3rem;
}
.categories_right
{
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 1.2rem;
}
.category
{
    background: var(--color-bg2);
    padding: 2rem;
    border-radius: 2rem;
    transition: var(--transition);
}
.category:hover
{
    box-shadow: 0 3rem 3rem rgba(0, 0, 0, 0.3);
    z-index: 1;

}
.category:nth-child(2) .category_icon
{
    background: var(--color-danger);
}
.category:nth-child(3) .category_icon
{
    background: var(--color-success);
}
.category:nth-child(4) .category_icon
{
    background: var(--color-warning);
}
.category:nth-child(5) .category_icon
{
    background: var(--color-success);
}
.category_icon
{
    background: var(--color-primary);
    padding: 0.7rem;
    border-radius: 0.9rem;
}
.category h5
{
    margin: 2rem 0 1rem;

}
.category p
{
    font-size: 0.85rem;
}

/* ---------------FAQ's--------------- */
.faqs>h2
{
    margin-top: 50px;
}
.faqs
{
    background: var(--color-bg1);
    box-shadow: 0 0 3rem rgba(0, 0, 0, 0.5);
}
.faqs_container
{
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 1rem;
}
.faq
{
    padding: 2rem;
    display: flex;
    align-items: center;
    gap: 1.4rem;
    height: fit-content;
    background: var(--color-primary);
    cursor: pointer;
}
.faq h4
{
    font-size: 1rem;
    line-height: 2.2;
}
.faq_icon
{
    align-self: flex-start;
    font-size: 1.2rem;
}
.faq p
{
    margin-top: 0.8rem;
    display: none;
}
.faq.open p
{
    display: block;
}

/* ---------Testimonials---------- */

.testimonials_container
{
    overflow-x: hidden;
    position: relative;
    margin-bottom: 5rem;
}
.testimonial
{
    padding-top: 2rem;
}
.testimonial_body>img
{
    width: 30rem;
    height: 30rem;
    overflow: hidden;
    margin: 0 auto 1rem;
    object-fit: fill;
}

/* --------------Footer---------------- */

.footer
{
    background: var(--color-bg1);
    padding-top: 5rem;
    font-size: 0.9rem;
}
.footer_container
{
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 5rem;
}
.footer_container > div h4
{
    margin-bottom: 1.2rem;
}
.footer_1 p
{
    margin: 0 0 2rem;
}
footer ul li
{
    margin-bottom: 0.7rem;
}
footer ul li a:hover
{
    text-decoration: underline;
}
.footer_socials
{
    display: flex;
    gap: 1rem;
    font-size: 1.2rem;
    margin-top: 2rem;
}
.footer_copyright
{
    text-align: center;
    margin-top: 4rem;
    padding: 1.2rem 0;
    border-top: 1px solid var(--color-bg2);

}

/* -------------Media Queries For Tablet---------------- */

@media screen and (max-width: 1024px){
    .container
    {
        width: var(--container-width-md);
    }
    h1
    {
        font-size: 2.2rem;
    }
    h2
    {
        font-size: 1.7rem;
    }
    h3
    {
        font-size: 1.4rem;
    }
    h4
    {
        font-size: 1.2rem;
    }

    /* ----------Navbar------------- */
    nav button
    {
        display: inline-block;
        background: transparent;
        font-size: 1.8rem;
        color: var(--color-white);
        cursor: pointer;
    }
    nav button#close-menu-btn
    {
        display: none;
    }
    .nav_menu
    {
        position: fixed;
        top: 5rem;
        right: 5%;
        height: fit-content;
        width: 18rem;
        flex-direction: column;
        gap: 0;
        display: none;
    }
    .nav_menu li
    {
        width: 100%;
        height: 5.8rem;
        animation: animateNavItems 400ms linear forwards;
        transform-origin: top right;
        opacity: 0;
    }
    .nav_menu li:nth-child(2)
    {
        animation-delay: 200ms;
    }
    .nav_menu li:nth-child(3)
    {
        animation-delay: 400ms;
    }
    .nav_menu li:nth-child(4)
    {
        animation-delay: 600ms;
    }
    @keyframes animateNavItems {
        0%
        {
            transform: rotateZ(-90deg) rotateX(90deg) scale(0.1);
        }
        100%
        {
            transform: rotateZ(0) rotateX(0) scale(1);
            opacity: 1;
        }
    }
    .nav_menu li a
    {
        background: var(--color-primary);
        box-shadow: -4rem 6rem 10rem rgba(0, 0, 0, 0.6);
        width: 100%;
        height: 100%;
        display: grid;
        place-items: center;
    }
    .nav_menu li a:hover
    {
        background: var(--color-bg2);
        color: var(--color-white);
    }

    /* -------header--------- */
    header
    {
        height: 100vh;
        margin-bottom: 3rem;
    }
    .header_container
    {
        gap: 0;
        padding-bottom: 3rem;
    }
    /* --------Categories---------- */
    .categories
    {
        height: auto;
    }
    .categories_container
    {
        grid-template-columns: 1fr;
        gap: 3rem;
    }
    .categories_left
    {
        margin-right: 0;
    }
    /* ---------FAQ's------------ */
    .faqs_container
    {
        grid-template-columns: 1fr;
    }
    .faq
    {
        padding: 1.5rem;
    }
    /* --------Footer------------ */
    .footer_container
    {
        grid-template-columns: 1fr 1fr;
    }
}

/* -------------Media Queries For Mobile---------------- */

@media screen and (max-width: 600px){

    .container
    {
        width: var(--container-width-sm);
    }

    /* ------------Navbar------------- */
    .nav_menu
    {
        right: 3%;
    }
    /* ------------Header--------------- */
    header
    {
        height: 100vh;
    }
    .header_container
    {
        grid-template-columns: 1fr;
        text-align: center;
        margin-top: 0;
    }
    .header_left p
    {
        margin-bottom: 1.3rem;
    }
    /* ------------Category-------------- */
    .categories_right
    {
        grid-template-columns: 1fr 1fr;
        gap: 0.7rem;
    }
    .category
    {
        padding: 1rem;
        border-radius: 1rem;
    }
    .category_icon
    {
        margin-top: 4px;
        display: inline-block;
    }
    /* -----------Testimonial-------------- */
    .testimonial_body
    {
        padding: 1.2rem;
    }
    /* -------------Footer--------------- */
    .footer_container
    {
        grid-template-columns: 1fr;
        text-align: center;
        gap: 2rem;
    }
    .footer_1 p
    {
        margin: 1rem auto;
    }
    .footer_socials
    {
        justify-content: center;
    }
}